
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java多线程编程经验谈 / iVAN</title>

    <meta name="description" content="Java多线程编程经验谈 编程|多线程 不管我是多么喜欢JAVA但是,从实际开发角度讲,Java的多线程确实没有C++好使. 表现在:1.Java没有全局变量:2.Java 的线程之间的通信比较差,C++提供了多种通信方式:3.Java的数据同步是通过synchronized来实现,但是基本上等于交给了虚拟机来完成,而C++有很多种:临界区.互斥体等.4. Java的多线程run方法没有返回值,因此如何能得到子线程的反馈信息,确实令人头疼.5.Java的多线程是协作式,这样等于操作系统放弃了对线程的控制: 这里谈谈我在j">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Java多线程编程经验谈</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>编程|多线程</p>
<p>不管我是多么喜欢JAVA但是，从实际开发角度讲，Java的多线程确实没有C++好使。</p>
<p>表现在：<br />1.Java没有全局变量；<br />2.Java 的线程之间的通信比较差，C++提供了多种通信方式；<br />3.Java的数据同步是通过synchronized来实现，但是基本上等于交给了虚拟机来完成，而C++有很多种：临界区、互斥体等。<br />4. Java的多线程run方法没有返回值，因此如何能得到子线程的反馈信息，确实令人头疼。<br />5.Java的多线程是协作式，这样等于操作系统放弃了对线程的控制；</p>
<p>这里谈谈我在java多线程中的编写经验：</p>
<p>1.创建thread时，将主控类或者叫做调用类传入构造函数中，例如：Class A调用Class B，Class A作为Class B构造函数的参数。这样再创建一个子线程时，用同样的方式实现，这样主控类的实例变量就可以作为全局变量，当然要注意同步。</p>
<p>2. 类同步中wait(),notify()一定要考虑好逻辑，不然有可能造成阻塞。</p>
<p>3. 如果多个线程调用或者目前不是很清楚有多少个线程进行通信，最好的办法是自己实现一个listener，然后调用类调用Listener的一个实例方法进行通信。</p>
<p>工作原理：</p>
<p>1) Listener接口提供同步方法 例如SynData();<br />2) 同步线程提供添加和删除Listener的方法，同时在线程中对注册Listener的类进行轮流通知；<br />3) 使用给同步数据的线程类，继承Listener接口，实现其方法，将本线程即将结束的数据发送到同步线程中；</p>
<p>其实这个原理来自于Java Swing技术。</p>
<p>由于时间关系，今天就谈到这里，希望能抛砖引玉！！请大家多多指教！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 21:36:43</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%90%8c%e6%ad%a5/" title="同步">同步</a>, <a href="https://www.iamivan.net/tag/java/" title="java">java</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="多线程">多线程</a>, <a href="https://www.iamivan.net/tag/java%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="java多线程">java多线程</a>, <a href="https://www.iamivan.net/tag/listener/" title="listener">listener</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b-%e7%bb%8f%e9%aa%8c/" title="编程 经验">编程 经验</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8b-%e7%ba%bf%e7%a8%8b%e5%90%8c%e6%ad%a5/" title="多线程 线程同步">多线程 线程同步</a>, <a href="https://www.iamivan.net/tag/java-%e5%a4%9a%e7%ba%bf%e7%a8%8b/" title="java 多线程">java 多线程</a>, <a href="https://www.iamivan.net/tag/java%e5%90%8c%e6%ad%a5%e6%96%b9%e6%b3%95/" title="java同步方法">java同步方法</a>, <a href="https://www.iamivan.net/tag/%e5%a4%9a%e7%ba%bf%e7%a8%8bjava/" title="多线程java">多线程java</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b%e5%85%a8%e5%b1%80%e5%8f%98%e9%87%8fc/" title="线程全局变量c&plus;&plus;">线程全局变量c&plus;&plus;</a>, <a href="https://www.iamivan.net/tag/java-%e5%a4%9a%e7%ba%bf%e7%a8%8b-%e5%90%8c%e6%ad%a5/" title="java 多线程  同步">java 多线程  同步</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Java多线程编程经验谈的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWZ2qb.html" rel="bookmark">Java多线程编程详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				编程|多线程|详解 一:理解多线程多线程是这样一种机制,它允许在程序中并发执行多个指令流,每个指令流都称为一个线程,彼此间互相独立. 线程又称为轻量级进程,它和进程一样拥有独立的执行控制,由操作系统负责调度,区别在于线程没有独立的存储空间,而是和所属进程中的其它线程共享一个存储空间,这使得线程间的通信远较进程简单.多个线程的执行是并发的,也就是在逻辑上&quot;同时&quot;,而不管是否是物理上的&quot;同时&quot;.如果系统只有一个CPU,那么真正的&quot;同时&quot;是不可			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKy46p.html" rel="bookmark">Java多线程编程实战之不提倡的方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不提倡使用的方法是为支持向后兼容性而保留的那些方法,它们在以后的版本中可能出现,也可能不出现.Java 多线程支持在版本 1.1 和版本 1.2 中做了重大修订,stop().suspend() 和 resume() 函数已不提倡使用.这些函数在 JVM 中可能引入微妙的错误.虽然函数名可能听起来很诱人,但请抵制诱惑不要使用它们. 调试线程化的程序 在线程化的程序中,可能发生的某些常见而讨厌的情况是死锁.活锁.内存损坏和资源耗尽. 死锁 死锁可能是多线程程序最常见的问题.当一个线程需要一个资源而			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXkAGp.html" rel="bookmark">JAVA学习（九）：JAVA多线程编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文详细解释JAVA多线程编程,首先对进程和线程做了区别,其次介绍线程的两种实现方式,即继承Thread类和实现Runnable接口,然后讨论了线程常用的方法和优先级,最后介绍了线程的同步和死锁以及线程的生命周期.   1.进程与线程的区别与联系 进程:是应用程序的运行实例,是应用程序的一次动态执行.进程是由进程控制块.程序段和数据段3部分组成的.进程是操作系统进行资源分配的单位. 线程:是进程中的一个实体,其本身依靠程序进行运行,是程序中的顺序控制流,只能使用分配给程序的资源和环境.线程是被系			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z428dPM.html" rel="bookmark">Java多线程编程中synchronized线程同步的教程&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				0.关于线程同步 (1)为什么需要同步多线程?线程的同步是指让多个运行的线程在一起良好地协作,达到让多线程按要求合理地占用释放资源.我们采用Java中的同步代码块和同步方法达到这样的目的.比如这样的解决多线程无固定序执行的问题: public class TwoThreadTest { public static void main(String[] args) { Thread th1= new MyThread1(); Thread th2= new MyThread2(); th1.sta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badXZnz.html" rel="bookmark">详解Java多线程编程中线程的启动、中断或终止操作&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				线程启动: 1.start() 和 run()的区别说明start() : 它的作用是启动一个新线程,新线程会执行相应的run()方法.start()不能被重复调用. run() : run()就和普通的成员方法一样,可以被重复调用.单独调用run()的话,会在当前线程中执行run(),而并不会启动新线程! 下面以代码来进行说明. class MyThread extends Thread{ public void run(){ ... } }; MyThread mythread = new			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBe01b.html" rel="bookmark">《JAVA多线程编程实战指南》之Two-phase Termination&lpar;两阶段终止&rpar;模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文是&lt;JAVA多线程编程实战指南&gt;的样章,感谢作者授权并发网(ifeve.com)发表此文.感谢demochen整理此文. 5.1Two-phase Termination模式简介 停止线程是一个目标简单而实现却不那么简单的任务.首先,Java没有提供直接的API用于停止线程.此外,停止线程还有一些额外的细节需要考虑,如停止的线程处于阻塞(如等待锁)或者等待状态(等待其他线程),尚有未处理完的任务等. Two-phase Termination模式通过将停止线程这个动作分解为准备阶段和执行阶			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrqW9mb.html" rel="bookmark">Java多线程编程简明教程&lpar;1&rpar; - Future模式与AsyncTask</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java多线程编程简明教程 缘起 关于多线程编程的教程汗牛充栋了,比如阿里集团内部就有一粟.高铁等大牛的讲座,更不用说有清英同学专门创建了并发编程网站来专注于这件事情.专门讲Java并发开发的书籍也是相当丰富了. 我们举个例子,典型的一本Java多线程开发的教材是这样写的,上来就是介绍如何创建线程,然后再讲线程安全,线程之间如何做同步和通信,接着才是线程池和执行器,最后是线程安全的数据结构. 这样写当然从技术上讲是没问题的,不过问题在于,门槛太高了.假如读者的时间短,只看完创建线程这一章就开始照			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkw8lp.html" rel="bookmark">Java多线程编程中使用Condition类操作锁的方法详解&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Condition的作用是对锁进行更精确的控制.Condition中的await()方法相当于Object的wait()方法,Condition中的signal()方法相当于Object的notify()方法,Condition中的signalAll()相当于Object的notifyAll()方法.不同的是,Object中的wait(),notify(),notifyAll()方法是和&quot;同步锁&quot;(synchronized关键字)捆绑使用的:而Condition是需要与&quot;互斥			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmOWYp.html" rel="bookmark">详解Java多线程编程中的线程同步方法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.多线程的同步: 1.1.同步机制:在多线程中,可能有多个线程试图访问一个有限的资源,必须预防这种情况的发生.所以引入了同步机制:在线程使用一个资源时为其加锁,这样其他的线程便不能访问那个资源了,直到解锁后才可以访问. 1.2.共享成员变量的例子:成员变量与局部变量: 成员变量: 如果一个变量是成员变量,那么多个线程对同一个对象的成员变量进行操作,这多个线程是共享一个成员变量的. 局部变量: 如果一个变量是局部变量,那么多个线程对同一个对象进行操作,每个线程都会有一个该局部变量的拷贝.他们之间			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdB94b.html" rel="bookmark" class="title">供初学者阅读：什么是网页标准化&lpar;Web标准&rpar;？</a>
					<div>
						web|web标准|初学|网页 说了很多网页标准化,Web标准,可能咋一问什么是Web标准,你也不知道从何说起,你可能会说是div+css,可能是xhtml+css,可能是能通过验证就是标准.下面具体 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YbK9wEp.html" rel="bookmark" class="title">phpmyadmin导入导出数据库备份教程</a>
					<div>
						在PHP网站建设中,针对Mysql数据库的维护是日常工作,Mysql数据库的导入和导出实现备份功能就是其中之一,在之前的PHP教程中我介绍了不少以Mysql命令方式维护Mysql数据库的文章,今天来说 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ4YWz.html" rel="bookmark" class="title">网页设计步骤和网页制作大局观</a>
					<div>
						注:所有文字,除注明网站类型外,其他均针对企业站点.请随时注意留言,若修改则会在首页提示文字里标注.若牵扯到业务方面的问题,我可能不会做过多的阐述.但会讲一些基本的原则和处理技巧.重要的文字一般都是加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQlooz.html" rel="bookmark" class="title">LINQ to SQL语句Union&sol;Intersect&sol;Except介绍</a>
					<div>
						using System; using System.Collections.Generic; using System.Linq; using System.Text; namespace BegV ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wJQjp.html" rel="bookmark" class="title">Delphi源程序格式书写规范&lpar;一&rpar;&lpar;1&rpar;</a>
					<div>
						1,规范简介 本规范主要规定Delphi源程序在书写过程中所应遵循的规则及注意事项.编写该规范的目的是使公司软件开发人员的源代码书写习惯保持一致.这样做可以使每一个组员都可以理解其它组员的代码,以便于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yDV4z.html" rel="bookmark" class="title">利用彩影修复照片拍斜教程</a>
					<div>
						我们经常会由于不小心而拍摄到不少倾斜的照片,原因有很多,可能是手法粗心.手抖又或者是拍摄角度限制所导致的,这样的照片很容易使得画面失去平衡感,总是觉得怪怪的,但是有些照片确实很漂亮或者非常重要,但拍斜 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wZvqp.html" rel="bookmark" class="title">解析PHP中&dollar;</a>
					<div>
						$_FILES数组内容如下:$_FILES['myFile']['name'] 客户端文件的原名称. $_FILES['myFile']['type'] 文件的 MIME 类型,需要浏览器提供该信息的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPxw7M.html" rel="bookmark" class="title">PS教你创建朴实精致的3D复古字体效果</a>
					<div>
						  创建渐变背景 第一步: 新建一个800*600px文档,并将Background图层创建一个副本,将其命名为Background_copy. 步骤二: 双击Background_copy图层,勾选 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKLoOp.html" rel="bookmark" class="title">正则表达式只匹配一次下化线！</a>
					<div>
						  &lt;SCRIPT LANGUAGE=&quot;VBScript&quot;&gt;    &lt;!--      Dim reg,str,pattern          Set reg  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPK0BM.html" rel="bookmark" class="title">Win8如何把CAD中的文字直接导入到Word文档</a>
					<div>
						1.在CAD中鼠标双击需要导入的文字,进入修改状态,拖动鼠标把全部文字选中; 2.按下&quot;CTRL+C&quot;粘贴键进行拷贝,这时候会出现提示,但无须理会; 文档-excel导入word文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oOVRb.html" rel="bookmark" class="title">IE浏览器无法显示Flash怎么办</a>
					<div>
						  1,先把IE选项统统设为默认 或者:单击IE主窗口中的菜单&quot;工具→Internet选项&quot;,在打开的窗口中选择&quot;高级&quot;选项卡,在下面的列表中找到&quot;多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw9DYb.html" rel="bookmark" class="title">GoodSync文件夹同步如何使用</a>
					<div>
						Goodsync是一个高效文件同步工具,GoodSync可以实现两台电脑或者电脑与U盘之间的数据和文件的同步转换.通过此工具,可以备份U盘中中的数据或者其他文件到个人电脑的硬盘上.支持简体中文界面.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRgK5p.html" rel="bookmark" class="title">升级Win8不丢失任何资料</a>
					<div>
						当我们升级系统时往往会为收到一个问题的困扰,那就是原来系统中的文件该怎么办.这的确是个不小的问题,因为它关系到我们的工作是否能够延续,但在Win8中这实在是小事一件.今天我们就说说如何在升级系统时保存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZo18z.html" rel="bookmark" class="title">如何禁止Win7系统执行还原修复的教程分享</a>
					<div>
						  我们使用电脑的朋友都知道,自己系统还原功能可以修复我们win7系统中出现一些不好解决的问题或者是资料不见的情况,一般情况下都是自己进行操作的,但是如果是在集体环境情况下的话,别人也是可以进行操作的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P97Zp.html" rel="bookmark" class="title">元素的ID慎用length</a>
					<div>
						 先来看看一段错误的代码:&lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6dg7b.html" rel="bookmark" class="title">sql server 2012的数据库实例中的bin可执行文件存放问题</a>
					<div>
						问题描述 sql server 2012的数据库实例中的bin可执行文件存放问题 怎样才能将sql server 2012的数据库实例中的bin可执行文件部分放到c盘,数据部分放到d盘 因为公司是希望 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6Dqxb.html" rel="bookmark" class="title">android-有没有方法可以在锁屏界面显示消息</a>
					<div>
						问题描述 有没有方法可以在锁屏界面显示消息 android断收到消息推送的消息时怎么能在锁屏页弹出消息提示?大神指点 解决方案 你应该是不知道如何突破屏幕锁吧!图片说明 再加一个disable_key ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6l0Vb.html" rel="bookmark" class="title">求大神指点 ajax data 参数为xml字符串</a>
					<div>
						问题描述 求大神指点 ajax data 参数为xml字符串 $.ajax({ //要用post方式 type: &quot;&quot;Post&quot;&quot; //方法所在页面和方法名 u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk8EDb.html" rel="bookmark" class="title">【译】第一次走进 Android 中的 Kotlin 协程</a>
					<div>
						本文讲的是[译]第一次走进 Android 中的 Kotlin 协程, 原文地址:A first walk into Kotlin coroutines on Android 原文作者:Antonio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NQ6LM.html" rel="bookmark" class="title">subversion操作</a>
					<div>
						本控制之于程序员,就好比安全网之于高空秋 千表演者.知道安全网就在那里,万一自己摔落它能够提供保护,高空秋千表演者才能放心大胆地在空中飞跃.同样,版本控制使您有能力去冒以往想都不敢想的风 险.如果哪儿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAAg7p.html" rel="bookmark" class="title">php代码问题？？？？？？</a>
					<div>
						问题描述 php代码问题?????? $this-&gt;c-&gt;getfaction(&quot;&quot;test&quot;&quot;true&quot;&quot;);这里的c 是什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRL5Nb.html" rel="bookmark" class="title">网站盗链是什么？盗链与广告流量问题及如何防止</a>
					<div>
						何谓盗链:百度百科解释(盗链是指服务提供商自己不提供服务的内容,通过技术手段绕过其它有利益的最终用户界面(如广告),直接在自己的网站上向最终用户提供其它服务提供商的服务内容,骗取最终用户的浏览和点击率 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRa3Nb.html" rel="bookmark" class="title">油印机-基士得耶6202C滚筒前上方的传感器叫什么名字？</a>
					<div>
						问题描述 基士得耶6202C滚筒前上方的传感器叫什么名字? 基士得耶6202C滚筒前上方的传感器叫什么名字?这个传感器有点变形,欲更换但不知道叫什么传感器					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNj5ZWM.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;超长待机100天&rdquo;的玄机重重</a>
					<div>
						3G时代,互联网冲浪.游戏.视听娱乐等消费需求,必须突破电池这个瓶颈.在国产手机大举进攻&quot;超长待机&quot;手机市场之时,国际手机巨头也表示了极大的兴趣.近日,长虹发布最新的365长动力手 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnK3oKz.html" rel="bookmark" class="title">Kubernetes 是如何实现资源共享的</a>
					<div>
						本文讲的是Kubernetes 是如何实现资源共享的[译者的话]Kubernetes相对于Mesos,不同之处在于对资源的调度管理,这篇Proposal展示了Kubernetes对于资源管理方面的思考 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7yWgp.html" rel="bookmark" class="title">OA系统的三大辅助</a>
					<div>
						如今OA系统毫无疑问的成为了企业办公自动化的最佳辅助工具,但是对于OA的辅助作用你是否走清楚呢?下面就由宇博OA软件黄经理来总结一下,OA都有那些辅助作用吧! 作用一.管理优化的辅助性 通过OA系统明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60GBXz.html" rel="bookmark" class="title">CentOS 7 安装 saltstack</a>
					<div>
						SaltStack是一个服务器基础架构集中化管理平台,具备配置管理.远程执行.监控等功能,一般可以理解为简化版的puppet和加强版的func.SaltStack基于Python语言实现,结合轻量级消 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwZ1WM.html" rel="bookmark" class="title">【机器学习PAI实践三】雾霾成因分析</a>
					<div>
						一.背景 如果要人们评选当今最受关注话题的top10榜单,雾霾一定能够入选.如今走在北京街头,随处可见带着厚厚口罩的人在埋头前行,雾霾天气不光影响了人们的出行和娱乐,对于人们的健康也有很大危害.本文通 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy263z.html" rel="bookmark" class="title">跨平台任务设置工具IFTTT获700万美元A轮融资</a>
					<div>
						IFTTT能够把不同的手机功能和应用连为一体 北京时间12月21日,跨平台任务设置工具刚刚获得700万美元的A轮融资,由安德森-霍洛维茨基金(Andreessen Horowitz)领投. 这家公司的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2djWM.html" rel="bookmark" class="title">Java中的多态用法实例分析&lowbar;java</a>
					<div>
						本文实例讲述了Java中的多态用法.分享给大家供大家参考.具体分析如下: 多态,是面向对象的程序设计语言最核心的特征.封装性.继承性都比较简单,所以这里只对多态做一个小小的笔记... 1.什么是多态? ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
